summaryrefslogtreecommitdiffstats
path: root/packaging/macos/build_toolset.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/macos/build_toolset.sh')
-rwxr-xr-xpackaging/macos/build_toolset.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/packaging/macos/build_toolset.sh b/packaging/macos/build_toolset.sh
new file mode 100755
index 000000000..b4acededd
--- /dev/null
+++ b/packaging/macos/build_toolset.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# This file is part of the build pipeline for Inkscape on macOS.
+#
+# ### build_toolset.sh ###
+# Create JHBuild toolset with all dependencies for Inkscape.
+
+### load settings and functions ################################################
+
+SELF_DIR=$(cd $(dirname "$0"); pwd -P)
+for script in $SELF_DIR/0??-*.sh; do source $script; done
+
+set -e
+
+### download pre-built build environment or build from scratch #################
+
+if [ -d $OPT_DIR ]; then
+ echo "$SELF_NAME: $OPT_DIR exists - not doing anything"
+else
+ if $TOOLSET_CACHE_ENABLE &&
+ [ "$WRK_DIR" = "$DEFAULT_SYSTEM_WRK_DIR" ]; then # we're good to download
+ $SELF_DIR/110-jhbuild-install.sh
+ get_source $URL_TOOLSET_CACHE $WRK_DIR
+ else # we need to build from scratch
+ for script in $SELF_DIR/1??-*.sh; do
+ $script
+ done
+ fi
+fi